declare type QueueTask<T = any> = () => Promise<T>;
export declare class SerialQueue {
    private queue;
    private isPaused;
    private waitToFinish;
    private currentTask?;
    private performNext;
    enqueue<T>(task: QueueTask<T>): Promise<T>;
    cancelAll(unblock?: boolean): Promise<void>;
    pause(): Promise<void>;
    resume(): void;
    wait(): Promise<unknown>;
}
export {};
